Update service principal credentials
Updates service principal credentials associated with the specified account public ID. Use this to manage authentication details for service principals in your account.
HTTP method and endpoint
PATCH /accounts/{accountPublicId}/azure/service-principal/{credentialsId}
Token usage
NetApp Console user token.
Usage notes
Updates existing credentials using the specified account public ID.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountPublicId |
string |
path |
True |
|
credentialsId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
tenantId |
string |
True |
|
clientId |
string |
True |
|
clientSecret |
string |
True |
|
name |
string |
True |
Example request
{
"tenantId": "string",
"clientId": "string",
"clientSecret": "string",
"name": "string"
}
Response
Status: 200, Successful updated service principal credentials
| Name | Type | Required | Description |
|---|---|---|---|
credentialsId |
string |
True |
|
credentialsType |
string |
True |
|
extra |
True |
||
isSimulated |
boolean |
True |
Error
Status: 404, Credentials not found
Definitions
See Definitions
extra